Bug 1279037 - blivet.errors.DeviceTreeError: failed to add slave sil_cbbhafcaagca of device sil_cbbhafcaagca1
blivet.errors.DeviceTreeError: failed to add slave sil_cbbhafcaagca of device...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:93b0f35ba487e9c91df512c47f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 06:38 EST by Fehmi Demiralp
Modified: 2016-12-20 10:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:28:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (489.37 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: anaconda.log (8.14 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: environ (537 bytes, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: journalctl (304.37 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: lsblk_output (2.88 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: nmcli_dev_list (2.19 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: os_info (518 bytes, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: program.log (26.95 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: storage.log (129.51 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details
File: ifcfg.log (3.82 KB, text/plain)
2015-11-07 06:38 EST, Fehmi Demiralp
no flags Details

  None (edit)
Description Fehmi Demiralp 2015-11-07 06:38:24 EST
Description of problem:
I tried to install Fedora 23 workstation. It just crashed at the walcome screen

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 274, in _addSlaveDevices
    raise DeviceTreeError(msg)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 305, in addUdevDMDevice
    slave_devices = self._addSlaveDevices(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 715, in addUdevDevice
    device = self.addUdevDMDevice(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 171, in raise_if_error
    raise exc_info[0](exc_info[1]).with_traceback(exc_info[2])
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 116, in wait
    self.raise_if_error(name)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/timezone.py", line 76, in time_initialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.DeviceTreeError: failed to add slave sil_cbbhafcaagca of device sil_cbbhafcaagca1

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Fehmi Demiralp 2015-11-07 06:38:32 EST
Created attachment 1090908 [details]
File: anaconda-tb
Comment 2 Fehmi Demiralp 2015-11-07 06:38:34 EST
Created attachment 1090909 [details]
File: anaconda.log
Comment 3 Fehmi Demiralp 2015-11-07 06:38:36 EST
Created attachment 1090910 [details]
File: environ
Comment 4 Fehmi Demiralp 2015-11-07 06:38:40 EST
Created attachment 1090911 [details]
File: journalctl
Comment 5 Fehmi Demiralp 2015-11-07 06:38:42 EST
Created attachment 1090912 [details]
File: lsblk_output
Comment 6 Fehmi Demiralp 2015-11-07 06:38:44 EST
Created attachment 1090913 [details]
File: nmcli_dev_list
Comment 7 Fehmi Demiralp 2015-11-07 06:38:46 EST
Created attachment 1090914 [details]
File: os_info
Comment 8 Fehmi Demiralp 2015-11-07 06:38:48 EST
Created attachment 1090915 [details]
File: program.log
Comment 9 Fehmi Demiralp 2015-11-07 06:38:51 EST
Created attachment 1090916 [details]
File: storage.log
Comment 10 Fehmi Demiralp 2015-11-07 06:38:53 EST
Created attachment 1090917 [details]
File: ifcfg.log
Comment 11 Pat Miller 2015-11-08 16:26:00 EST
Another user experienced a similar problem:

created 2 RAID 10 logical volumes(four physical disks) on a Promise RAID(rebranded to AMD, I suspect)
booted into fedora 23 workstation live CD and clicked on "Install to Disk" 
the clicked on "Continue", CPU utilization on one core running "anaconda" process went up to 100% and program froze for a few minutes, then crashed.


[root@localhost ~]# dmsetup ls -v --tree -o blkdevname
live-base <dm-1> (253:1)
 └─ <loop3> (7:3)
pdc_dafahhagjg1 <dm-9> (253:9)
 └─pdc_dafahhagjg <dm-5> (253:5)
    ├─pdc_dafahhagjg-1 <dm-4> (253:4)
    │  ├─ <sdd> (8:48)
    │  └─ <sdc> (8:32)
    └─pdc_dafahhagjg-0 <dm-3> (253:3)
       ├─ <sdb> (8:16)
       └─ <sda> (8:0)
pdc_dbbcijiice <dm-8> (253:8)
 ├─pdc_dbbcijiice-1 <dm-7> (253:7)
 │  ├─ <sdd> (8:48)
 │  └─ <sdc> (8:32)
 └─pdc_dbbcijiice-0 <dm-6> (253:6)
    ├─ <sdb> (8:16)
    └─ <sda> (8:0)
live-osimg-min <dm-2> (253:2)
 ├─ <loop1> (7:1)
 └─ <loop3> (7:3)
live-rw <dm-0> (253:0)
 ├─ <loop4> (7:4)
 └─ <loop3> (7:3)



cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave pdc_dafahhagjg-0 of device pdc_dafahhagjg
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 12 Fedora End Of Life 2016-11-24 08:09:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:28:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.